if ENV["COVERAGE"]
  # Run Coverage report
  require 'simplecov'
  SimpleCov.start do
    add_group 'Controllers', 'app/controllers'
    add_group 'Helpers', 'app/helpers'
    add_group 'Mailers', 'app/mailers'
    add_group 'Models', 'app/models'
    add_group 'Views', 'app/views'
    add_group 'Libraries', 'lib'
  end
end

# This file is copied to ~/spec when you run 'ruby script/generate rspec'
# from the project root directory.
ENV["RAILS_ENV"] ||= 'test'

RSpec.configure do |config|
  config.color = true
  config.mock_with :rspec

  if defined?(Rails)
    config.fixture_path = Rails.root.join('spec', 'fixtures')
    config.use_transactional_fixtures = false
  end


  config.fail_fast = ENV['FAIL_FAST'] || false
end
